## org.apache.mahout.cf.taste.impl.recommender
Class EstimatedPreferenceCapper

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.EstimatedPreferenceCapper

    public final class EstimatedPreferenceCapper

extends Object

Simple class which encapsulates restricting a preference value to a predefined range. The simple logic is wrapped up here for performance reasons.

Constructor Summary
`EstimatedPreferenceCapper(DataModel model)`

Method Summary
`float` `capEstimate(float estimate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EstimatedPreferenceCapper

    public EstimatedPreferenceCapper(DataModel model)

Method Detail

### capEstimate

    public float capEstimate(float estimate)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.